# eigamma Class Reference

Inverse-Gamma posterior density. More...

`#include <libEF.h>`

Inheritance diagram for eigamma:

[legend]
Collaboration diagram for eigamma:

[legend]

List of all members.

## Public Member Functions
| eigamma (const RV &rv)
| Default constructor.
void | set_parameters (const vec &a, const vec &b)
| Sets parameters.
vec | sample () const
| Returns a sample, from density .
double | evallog (const vec &val) const
| TODO: is it used anywhere?
double | lognc () const
| logarithm of the normalizing constant,
void | _param (vec *&a, vec *&b)
| Returns poiter to alpha and beta. Potentially dangerous: use with care!
vec | mean () const
| return expected value
vec | variance () const
| return expected variance (not covariance!)
virtual void | dupdate (mat &v)
| TODO decide if it is really needed.
virtual double | evallog_nn (const vec &val) const
| Evaluate normalized log-probability.
virtual vec | evallog (const mat &Val) const
| Evaluate normalized log-probability for many samples.
virtual void | pow (double p)
| Power of the density, used e.g. to flatten the density.
virtual mat | sample_m (int N) const
| Returns N samples from density .
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
virtual mpdf * | condition (const RV &rv) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
virtual epdf * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
const RV & | _rv () const
| access function, possibly dangerous!
void | _renewrv (const RV &in_rv)
| modifier function - useful when copying epdfs
## Protected Attributes
vec * | alpha
| Vector .
vec * | beta
| Vector (in fact it is 1/beta as used in definition of iG).
egamma | eg
| internal egamma
RV | rv
| Identified of the random variable.

## Detailed Description

Inverse-Gamma posterior density.

Multivariate inverse-Gamma density as product of independent univariate densities.

Inverse Gamma can be converted to Gamma using \[ x iG(a,b) => 1/x G(a,1/b) \] This relation is used in sampling.

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libEF.h